找不到npm版本 – “无法读取属性'节点'未定义的”

我已经使用npm(express,handlebar,mocha,chai)安装了几个节点模块。 我知道它正在工作。 当我运行npm install --save-dev zombie ,出现了一些错误。 我认为这是因为npm -v不工作。 当我input该命令时,我得到[TypeError: Cannot read property 'node' of undefined] 。 什么可能导致这个? 什么是未定义的? 这是上面的僵尸安装命令后的输出。

 npm WARN package.json gizworks@0.0.0 No description npm WARN package.json gizworks@0.0.0 No repository field. npm WARN package.json gizworks@0.0.0 No README data npm ERR! TypeError: Invalid Version: TypeError: Cannot read property 'node' of undefined npm ERR! at new SemVer (/usr/local/lib/node_modules/npm/node_modules/semver/semver.js:262:11) npm ERR! at compare (/usr/local/lib/node_modules/npm/node_modules/semver/semver.js:456:10) npm ERR! at gte (/usr/local/lib/node_modules/npm/node_modules/semver/semver.js:505:10) npm ERR! at cmp (/usr/local/lib/node_modules/npm/node_modules/semver/semver.js:522:22) npm ERR! at Comparator.test (/usr/local/lib/node_modules/npm/node_modules/semver/semver.js:592:10) npm ERR! at testSet (/usr/local/lib/node_modules/npm/node_modules/semver/semver.js:926:17) npm ERR! at Range.test (/usr/local/lib/node_modules/npm/node_modules/semver/semver.js:918:9) npm ERR! at Function.satisfies (/usr/local/lib/node_modules/npm/node_modules/semver/semver.js:939:16) npm ERR! at checkEngine (/usr/local/lib/node_modules/npm/node_modules/npm-install-checks/index.js:13:29) npm ERR! at Array.0 (/usr/local/lib/node_modules/npm/node_modules/slide/lib/bind-actor.js:15:8) npm ERR! If you need help, you may report this *entire* log, npm ERR! including the npm and node versions, at: npm ERR! <http://github.com/npm/npm/issues> npm ERR! System Darwin 13.3.0 npm ERR! command "node" "/usr/local/bin/npm" "install" "--save-dev" "zombie" npm ERR! cwd /Users/Taylor/developer/mean/gizworks npm ERR! node -v v0.10.29 npm ERR! npm -v TypeError: Cannot read property 'node' of undefined npm ERR! npm -v at /usr/local/lib/node_modules/npm/lib/npm.js:48:38 npm ERR! npm -v at Object.<anonymous> (/usr/local/lib/node_modules/npm/lib/npm.js:461:3) npm ERR! npm -v at Module._compile (module.js:456:26) npm ERR! npm -v at Object.Module._extensions..js (module.js:474:10) npm ERR! npm -v at Module.load (module.js:356:32) npm ERR! npm -v at Function.Module._load (module.js:312:12) npm ERR! npm -v at Module.require (module.js:364:17) npm ERR! npm -v at require (module.js:380:17) npm ERR! npm -v at /usr/local/lib/node_modules/npm/bin/npm-cli.js:24:11 npm ERR! npm -v at Object.<anonymous> (/usr/local/lib/node_modules/npm/bin/npm-cli.js:86:3) npm ERR! npm -v [TypeError: Cannot read property 'node' of undefined] npm ERR! npm ERR! Additional logging details can be found in: npm ERR! /Users/Taylor/developer/mean/gizworks/npm-debug.log npm ERR! not ok code 0 

       

网上收集的解决方案 "找不到npm版本 – “无法读取属性'节点'未定义的”"